<?php

Route::group(['prefix' => 'V1'], function () {
    Route::get('/', 'IndexController@index');

    Route::post('user/get', 'UserController@index');
    Route::post('user/check', 'UserController@check');

    //平安接口
    Route::post('user/grant', 'UserController@grant');                 //发券
    Route::post('user/query', 'UserController@query');                 //查询
    Route::post('user/destroy', 'UserController@destroy');             //作废
    Route::any('user/freezecoupon', 'UserController@freezecoupon');    //核销

    //沃支付接口
    Route::post('ticket/grant10', 'WoController@grant10');             //发券
    Route::post('ticket/grant25', 'WoController@grant25');             //发券
    Route::post('ticket/grant100', 'WoController@grant100');           //发券
    Route::post('ticket/grant180', 'WoController@grant180');           //发券
    Route::post('ticket/cancel', 'WoController@cancel');               //退业务
    Route::post('ticket/query', 'WoController@query');                 //退业务
});
